package com.atlassian.bitbucket.mesh.git.builder.merge;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitMergeBaseIndependentBuilder
        extends AbstractGitMergeBaseBuilder<GitMergeBaseIndependentBuilder>
        implements GitMergeBaseIndependentBuilder {

    public DefaultGitMergeBaseIndependentBuilder(GitProcessBuilder builder) {
        super(builder);
    }

    @Override
    protected void applyModeArguments() {
        builder.argument("--independent");
    }

    @Nonnull
    @Override
    protected GitMergeBaseIndependentBuilder self() {
        return this;
    }
}
